Xalan-Java 2.7.1: Class Equals

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.operations
Class Equals

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.operations.Operation
                  |
                  +--org.apache.xpath.operations.Equals

public class Equals
extends Operation

The '=' operation expression executer.

See Also:
  Serialized Form

Constructor Summary
`Equals()`

Method Summary
`boolean` | `bool(XPathContext xctxt)` Execute a binary operation by calling execute on each of the operands, and then calling the operate method on the derived class.
`XObject` | `operate(XObject left, XObject right)` Apply the operation to two operands, and return the result.

Methods inherited from class org.apache.xpath.operations.Operation
`callVisitors, canTraverseOutsideSubtree, deepEquals, execute, fixupVariables, getExpression, getLeftOperand, getRightOperand, setExpression, setLeftRight`

Methods inherited from class org.apache.xpath.Expression
`asIterator, asIteratorRaw, asNode, assertion, error, execute, execute, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, warn, xstr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Equals

    public Equals()

Method Detail

### operate

    public XObject operate(XObject left,
                           XObject right)
                    throws TransformerException

  Apply the operation to two operands, and return the result.
  Parameters:
    `left` - non-null reference to the evaluated left operand.
    `right` - non-null reference to the evaluated right operand.
  Returns:
    non-null reference to the XObject that represents the result of the operation.
  Throws:
    TransformerException -
  Overrides:
    operate in class Operation

### bool

    public boolean bool(XPathContext xctxt)
                 throws TransformerException

  Execute a binary operation by calling execute on each of the operands, and then calling the operate method on the derived class.
  Parameters:
    `xctxt` - The runtime execution context.
  Returns:
    The XObject result of the operation.
  Throws:
    TransformerException -
  Overrides:
    bool in class Expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.